include:
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/build.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/migrate.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/release_service.gitlab-ci.yml"
  - project: "ferreri/minato/minato-ci"
    ref: "main"
    file: "/modules/deploy_kubernetes.gitlab-ci.yml"

stages:
  - build
  - migrate
  - release
  - deploy
